package com.yihu.hos.qc.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * 数据元与质控规则关系表 entity
 *
 * @author 张进军
 * @date 2018/3/2
 */
@Entity
@Table(name = "qc_rule_metadata")
public class QcRuleMetadata implements Serializable {

    private String id;
    private String type; // 校验类型
    private String qcRuleCode; // 质控规则编码
    private String remark; // 备注

    @Id
    @Column(name = "id")
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Column(name = "type", length = 20, nullable = true)
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    @Column(name = "qc_rule_code", length = 20, nullable = true)
    public String getQcRuleCode() {
        return qcRuleCode;
    }

    public void setQcRuleCode(String qcRuleCode) {
        this.qcRuleCode = qcRuleCode;
    }

    @Column(name = "remark", length = 255, nullable = false)
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}