package com.yihu.hos.redis.schema.adapter;

import com.yihu.ehr.redis.schema.KeySchema;
import org.springframework.stereotype.Component;

@Component
public class AdapterDataSetKeySchema extends KeySchema {

    private String AdapterDatasetCode = "adapter_dataset_code";
    private String AdapterDatasetName = "adapter_dataset_name";

    /**
     * 清空当前表的所有缓存
     * @param table
     */
    public void delete(String table){
        redisClient.delete(makeKey(table , "*","*"));
    }

    public String getAdapterDatasetCode(String dataSetTableName, String stdDatasetCode) {
        return redisClient.get(makeKey(dataSetTableName , stdDatasetCode, AdapterDatasetCode));
    }

    public void setAdapterDataSetCode(String table, String id,String value){
        redisClient.set(makeKey(table , id, AdapterDatasetCode),value);
    }

    public String getAdapterDatasetName(String dataSetTableName, String stdDatasetCode) {
        return redisClient.get(makeKey(dataSetTableName, stdDatasetCode, AdapterDatasetName));
    }

    public void setAdapterDatasetName(String table, String stdDatasetCode, String value) {
        redisClient.set(makeKey(table, stdDatasetCode, AdapterDatasetName), value);
    }

}
