package com.yihu.hos.redis.schema.adapter;

import com.yihu.ehr.redis.schema.KeySchema;
import org.springframework.stereotype.Component;

/**
 *  Created by hzp on 2017.04.25
 */
@Component
public class AdapterDictKeySchema extends KeySchema {

    private String AdapterDictCode="adapter_dict_code";

    public void delete(String tableName) {
        redisClient.delete(makeKey(tableName , "*", "*"));
    }

    public void setAdapterDictCode(String dictTable, String stdDictCode, String adapterDictCode) {
        redisClient.set(makeKey(dictTable , stdDictCode, AdapterDictCode),adapterDictCode);
    }

    public String getAdapterDictCode(String dictTable, String stdDictCode) {
        return redisClient.get(makeKey(dictTable , stdDictCode, AdapterDictCode));
    }
}
