package com.yihu.hos.standard.dao;

import com.yihu.hos.standard.model.CDAType;
import com.yihu.hos.web.framework.dao.SQLGeneralDAO;
import org.springframework.stereotype.Repository;

import java.util.Arrays;
import java.util.List;

/**
 * Created by Administrator on 2016/5/4.
 */
@Repository("cdaTypelDao")
public class CdaTypelDao extends SQLGeneralDAO {

    public static final String BEAN_ID = "cdaTypelDao";

    public List<CDAType> findCDATypeByIds(String[] ids) {
        List<CDAType> list = (List<CDAType>) findInList("select cdaType from CDAType cdaType  where cdaType.id in (:ids)",new String[]{"ids"},new Object[]{Arrays.asList(ids)});
        return list;
    }

    public List<CDAType> getOtherCDAType(String id) {
        List<CDAType> list = (List<CDAType>) super.hibernateTemplate.find("select cdaType from CDAType cdaType  where cdaType.id Not in ?", id);
        return list;
    }

    public List<CDAType> getCdaTypeExcludeSelfAndChildren(String[] ids) {
        List<CDAType> list = (List<CDAType>)findInList("select cdaType from CDAType cdaType  where cdaType.id Not in (:ids)" ,new String[]{"ids"},new Object[]{Arrays.asList(ids)});
        return list;
    }

    public List<CDAType> findAllNoPage() {
        List<CDAType> list = (List<CDAType>) super.hibernateTemplate.find("select cdaType from CDAType cdaType");
        return list;
    }

}
