package com.yihu.hos.standard.model;

import com.yihu.hos.web.framework.model.Result;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author AndyCai
 * @version 1.0
 * @created 01-9月-2015 17:08:41
 */
@MappedSuperclass
@Access(value = AccessType.PROPERTY)
public class BaseCDADataSetRelationship extends Result implements Serializable {

    @Id
    @Column(name = "id", unique = true, nullable = false)
    private String id;

    @Column(name = "cda_id", unique = true, nullable = false)
    private String cdaId;

    @Column(name = "dataset_id", unique = true, nullable = false)
    private String dataSetId;

    @Column(name="std_id")
    private Long standardId;           //标准ID

    @Column(name="std_version")
    private String stdVersion;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCdaId() {
        return cdaId;
    }

    public void setCdaId(String cdaId) {
        this.cdaId = cdaId;
    }

    public String getDataSetId() {
        return dataSetId;
    }

    public void setDataSetId(String dataSetId) {
        this.dataSetId = dataSetId;
    }

    public Long getStandardId() {
        return standardId;
    }

    public void setStandardId(Long standardId) {
        this.standardId = standardId;
    }

    public String getStdVersion() {
        return stdVersion;
    }

    public void setStdVersion(String stdVersion) {
        this.stdVersion = stdVersion;
    }
}