package com.yihu.hos.standard.model.standard;

import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.MappedSuperclass;

@MappedSuperclass
public class StdIndex {
    @Id
    @GenericGenerator(name = "generator", strategy = "increment")
    @Column(name = "id")
    private Integer id;//主键id
    @Column(name = "std_dataset_id", nullable = false)
    private Long stdDatasetId;//所属的数据集id
    @Column(name = "std_dataset_code", nullable = true, length = 32)
    private String stdDatasetCode;//所属的数据集code
    @Column(name = "index_name", nullable = true, length = 255)
    private String indexName;//索引名
    @Column(name = "index_field", nullable = false, length = 255)
    private String indexField;//字段,多个用,分割
    @Column(name = "index_type", nullable = false, length = 50)
    private String indexType;//索引类型   字典名: INDEX_TYPE
    @Column(name = "index_method", nullable = false, length = 50)
    private String indexMethod;//索引方法   字典名: INDEX_METHOD
    @Column(name = "version", nullable = false)
    private String version;//版本号


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Long getStdDatasetId() {
        return stdDatasetId;
    }

    public void setStdDatasetId(Long stdDatasetId) {
        this.stdDatasetId = stdDatasetId;
    }

    public String getStdDatasetCode() {
        return stdDatasetCode;
    }

    public void setStdDatasetCode(String stdDatasetCode) {
        this.stdDatasetCode = stdDatasetCode;
    }

    public String getIndexName() {
        return indexName;
    }

    public void setIndexName(String indexName) {
        this.indexName = indexName;
    }

    public String getIndexField() {
        return indexField;
    }

    public void setIndexField(String indexField) {
        this.indexField = indexField;
    }

    public String getIndexType() {
        return indexType;
    }

    public void setIndexType(String indexType) {
        this.indexType = indexType;
    }

    public String getIndexMethod() {
        return indexMethod;
    }

    public void setIndexMethod(String indexMethod) {
        this.indexMethod = indexMethod;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }
}
