package com.yihu.hos.app.dao;

import com.yihu.hos.web.framework.dao.SQLGeneralDAO;
import com.yihu.hos.web.framework.model.DataGridResult;
import org.springframework.stereotype.Repository;
import org.springframework.util.StringUtils;

import java.util.Map;

@Repository("appApiDao")
public class AppApiDao extends SQLGeneralDAO {
    public static final String BEAN_ID = "appApiDao";

    public DataGridResult getList(Map<String, Object> params, Integer page, Integer rows) throws Exception {
        StringBuilder sb = new StringBuilder("from AppApi t where 1=1 ");
        if (!StringUtils.isEmpty(params.get("id"))) {
            sb.append(" and t.id = " + params.get("id"));
        }
        if (!StringUtils.isEmpty(params.get("appId"))) {
            sb.append(" and t.appId = '" + params.get("appId") + "'");
        }
        Object name = params.get("name");
        if (!StringUtils.isEmpty(params.get("name"))) {
            sb.append(" and t.name = '" + params.get("name") + "'");
        }
        if (!StringUtils.isEmpty(params.get("type"))) {
            sb.append(" and t.type = '" + params.get("type") + "'");
        }
        if (!StringUtils.isEmpty(params.get("!type"))) {
            sb.append(" and t.type != '" + params.get("!type") + "'");
        }
        if (!StringUtils.isEmpty(params.get("parentId"))) {
            sb.append(" and t.parentId = " + params.get("parentId") );
        }
        if (!StringUtils.isEmpty(params.get("openLevel"))) {
            sb.append(" and t.openLevel = '" + params.get("openLevel")+"'" );
        }
        if (!StringUtils.isEmpty(params.get("auditLevel"))) {
            sb.append(" and t.auditLevel = '" + params.get("auditLevel")+"'" );
        }
        return super.getDataGridResult(sb.toString(), page, rows);

    }
}
