package com.yihu.hos.datacollect.controller;

import com.yihu.hos.datacollect.service.JobConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author Airhead
 * @created 2018-03-30
 */
@RestController
@RequestMapping("/job/config")
public class JobConfigController {
    @Autowired
    private JobConfigService jobConfigService;

    @RequestMapping(path = "data", method = RequestMethod.GET)
    public List getData(@RequestParam(value = "lastUpdate", required = false) String lastUpdate) throws Exception {
        return jobConfigService.getData(lastUpdate);
    }
}
