package com.yihu.hos.h3cadapter.controller;

import com.yihu.hos.h3cadapter.H3cTransform;
import com.yihu.hos.standard.service.adapter.AdapterMetadataService;
import com.yihu.hos.web.framework.model.Result;
import com.yihu.hos.web.framework.util.controller.BaseController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.Map;

/**
 * H3c适配转换--测试
 *
 * @author HZY
 * @vsrsion 1.0
 * Created at 2017/08/15.
 */
@RequestMapping("/h3c")
@RestController
public class H3cAdapterController extends BaseController {

    @Resource(name = H3cTransform.BEAN_ID)
    private H3cTransform h3cTransform;
    @Autowired
    private AdapterMetadataService adapterMetadataService;

    /**
     * 质控规则列表
     *
     * @return
     */
    @RequestMapping("/genH3cXml")
    public Result getAppList(String version, long stdDatasetId) {
        try {
            Map<String, Object> params = new HashMap<>();
            String fromXml = "E://h3c-di-job-base.xml";
            String toXml = "E://h3c-di-job-new1.xml";

            Result result = h3cTransform.addStep(fromXml, toXml, version, stdDatasetId);
            return result;
        } catch (Exception ex) {
            ex.printStackTrace();
            return Result.error(ex.getMessage());
        }
    }

}
