package com.yihu.hos.jwt.auth;


import com.yihu.hos.system.model.SystemUser;

public interface AuthService {
    /**
     * 注册用户
     * @param userToAdd
     * @return
     */
    SystemUser register(SystemUser userToAdd);

    /**
     * 登录验证
     * @param loginCode
     * @param password
     * @return
     */
    String login(String loginCode, String password);

    /**
     * 刷新token
     * @param oldToken
     * @return
     */
    String refresh(String oldToken);
}
