package com.yihu.hos.redis.schema.adapter;

import com.yihu.ehr.redis.schema.KeySchema;
import org.springframework.stereotype.Component;

/**
 *  Created by hzp on 2017.04.25
 */
@Component
public class AdapterDictEntryKeySchema extends KeySchema {

    private String AdapterEntryCode = "adapter_entry_value";

    public void delete(String tableName) {
        redisClient.delete(makeKey(tableName , "*", "*"));
    }

    public void setAdapterDictEntryCode(String dictEntryTable, String stdDictCode, String stdEntryCode, String value) {
        redisClient.set(makeKey(dictEntryTable, stdDictCode + "." + stdEntryCode, AdapterEntryCode),value);
    }

    public String getAdapterDictEntryCode(String dictEntryTableName, String stdDictCode, String stdDictEntryCode) {
        return redisClient.get(makeKey(dictEntryTableName, stdDictCode + "." + stdDictEntryCode, AdapterEntryCode));
    }
}
