package com.yihu.hos.standard.controller;

import com.yihu.hos.standard.dao.DataSetDataSourceDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author Airhead
 * @created 2018-04-03
 */
@RestController
@RequestMapping("/standard")
public class StdDataSetDataSourceController {
    @Autowired
    private DataSetDataSourceDao dataSetDataSourceDao;

    @RequestMapping(path = "/data-set/data-source/data", method = RequestMethod.GET)
    public List getData(@RequestParam(value = "lastUpdate", required = false) String lastUpdate) {

        return dataSetDataSourceDao.getData(lastUpdate);
    }
}
