package com.yihu.hos.system.dao;

import com.yihu.hos.system.entity.SystemMenu;
import com.yihu.hos.web.framework.dao.SQLGeneralDAO;
import org.springframework.stereotype.Repository;
import org.springframework.util.StringUtils;

import java.util.List;

/**
 * 菜单管理 DAO
 */
@Repository
public class SystemMenuDao extends SQLGeneralDAO {

    public List<SystemMenu> getAllMenut(String codeName) throws Exception {
        StringBuilder sb = new StringBuilder("from SystemMenu s where 1=1");
        if (!StringUtils.isEmpty(codeName)) {
            sb.append(" and (s.code like '%" + codeName + "%' or s.name like '%" + codeName + "%')");
        }
        return (List<SystemMenu>) hibernateTemplate.find(sb.toString());
    }

    public boolean isUniqueCode(int id, String code) {
        List<SystemMenu> sms;
        if(id==-1){//说明是新增
            sms = (List<SystemMenu>) hibernateTemplate.find("from SystemMenu s where s.code=?", code);
            if (sms.size() == 0) {
                return true;
            }
        }else{
            sms = (List<SystemMenu>) hibernateTemplate.find("from SystemMenu s where s.code=? AND s.id!=?", code, id);
            if (sms.size() == 0) {
                return true;
            }
        }
        return false;
    }

    public boolean isUniqueName(int id, String name) {
        List<SystemMenu> sms;
        if(id==-1){//说明是新增
            sms = (List<SystemMenu>) hibernateTemplate.find("from SystemMenu s where s.name=? ", name);
            if (sms.size() == 0) {
                return true;
            }
        }else{
            sms = (List<SystemMenu>) hibernateTemplate.find("from SystemMenu s where s.name=? AND s.id!=?", name, id);
            if (sms.size() == 0) {
                return true;
            }
        }
        return false;
    }

}
